/**
 * Copyright (c) 2020 Bubble, Inc.  All rights reserved.
 * For personal (non-commercial) use, see license: https://getbubblenow.com/bubble-license/
 */
package bubble.cloud.compute.vultr;

import bubble.cloud.CloudRegion;
import bubble.cloud.compute.ListResourceParser;
import com.fasterxml.jackson.databind.JsonNode;

import static org.cobbzilla.util.daemon.ZillaRuntime.die;

public class VultrRegionParser extends ListResourceParser<CloudRegion> {

    @Override public CloudRegion parse(JsonNode item) {
        if (!item.has("id")) return die("parse: id not found");
        if (!item.has("city")) return die("parse: city not found");
        return new CloudRegion()
                .setId(item.get("id").textValue())
                .setInternalName(item.get("id").textValue())
                .setDescription(item.get("city").textValue());
    }

}
