/**
 * Copyright (c) 2020 Bubble, Inc.  All rights reserved.
 * For personal (non-commercial) use, see license: https://getbubblenow.com/bubble-license/
 */
package bubble.cloud.geoLocation.whois;

import lombok.Getter;
import lombok.Setter;
import lombok.extern.slf4j.Slf4j;

import static org.cobbzilla.util.daemon.ZillaRuntime.empty;
import static org.cobbzilla.util.daemon.ZillaRuntime.shortError;

@Slf4j
public class WhoisConfig {

    @Getter @Setter private String host;
    public boolean hasHost() { return !empty(host) && !host.equals("null"); }

    @Getter @Setter private String port = null;
    public boolean hasPort() {
        if (empty(port) || port.equals("null")) return false;
        try {
            final int iPort = Integer.parseInt(port);
            return iPort > 0 && iPort < 65536;
        } catch (Exception e) {
            log.warn("hasPort: invalid port ("+port+"): "+shortError(e));
            return false;
        }
    }

}
